Subject: time intervals

From: [email-masked] (Gatto)
Date: Mon, 17 Jan 94 13:47:26 EDT

Hi, POSTGRES people.

I'm new to POSTGRES v4.1.

I created a class "MSG (time = abstime, msg = text)" and populated it whith
some instances. Later I tried the following query:

retrieve (MSG.all) where MSG.time <?> ["Mon Jan 17 10:58:28 1994 WDT",
		"Mon Jan 17 10:59:29 1994 WDT"]\g

...and POSTGRES returned:

Query sent to backend is "retrieve (MSG.all) where MSG.hora <?> ["Mon Jan 17 10:58:28 1994 WDT":"Mon Jan 17 10:59:29 1994 WDT"]"
WARN:Jan 17 11:11:43:Can't find right op: <?> for type 702

What is wrong with my query? Can anyone help me?

Thanks very much!

Rubens C. Gatto